Bug 499691 - SELinux is preventing hp (hplip_t) "read write" to socket (cupsd_t).
SELinux is preventing hp (hplip_t) "read write" to socket (cupsd_t).
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 13:15 EDT by Philip Goisman
Modified: 2009-09-02 04:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
text file (3.02 KB, text/plain)
2009-05-07 13:15 EDT, Philip Goisman
no flags Details

  None (edit)
Description Philip Goisman 2009-05-07 13:15:08 EDT
Created attachment 342890 [details]
text file

Description of problem:

With direct attached printers (parallel or serial), an annoying sealert
message pops up with the following summary message:
SELinux is preventing hp (hplip_t) "read write" to socket (cupsd_t).

This messages does not occur when printing to a networked printer.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-203.el5

How reproducible:
Print to attached printer.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Annoying sealert message pops up.

Expected results:
It is not expected to see any sealert message when printing to a directly
attached printer.

Additional info:
Comment 1 Daniel Walsh 2009-05-07 13:30:03 EDT
Fixed in selinux-policy-2.4.6-229.el5

Preview to U4 policy is available on 
http://people.redhat.com/dwalsh/SElinux/RHEL5
Comment 6 Daniel Walsh 2009-07-27 10:50:09 EDT
Fixed in selinux-policy-2.4.6-254.el5
Comment 12 errata-xmlrpc 2009-09-02 04:00:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.